      SUBROUTINE F2TREA(S,XI,XE,Y,DY,AY,ADY,AD2Y,M,KP1,KP2,KP3)
      INTEGER S,M,KP1,KP2,KP3
      DOUBLE PRECISION XI,XE,Y,DY,AY,ADY,AD2Y
      DIMENSION AY(M,KP3),ADY(M,KP2),AD2Y(M,KP1),Y(M),DY(M)
      DOUBLE PRECISION AY1(14),AY2(14),AV1(13),AV2(13),AW1(12),AW2(12),
     1                 BY1(14),BY2(14),BV1(13),BV2(13),BW1(12),BW2(12),
     2                 YA(2),YB(2),VA(2),VB(2),INA(2),INB(2)
      COMMON/FIRST /AY1,AY2,AV1,AV2,AW1,AW2,YA,VA,INA
     1      /SECOND/BY1,BY2,BV1,BV2,BW1,BW2,YB,VB,INB      
C
C    AY1 - CHEBYSHEV COEFFICIENTS FOR 1 COORDINATE AT 1 INTERVAL 
C    AY2 - CHEBYSHEV COEFFICIENTS FOR 2 COORDINATE AT 1 INTERVAL 
C
C    AV1 - CHEBYSHEV COEFFICIENTS FOR 1 VELOCITY COMPONENT AT 1 INTERVAL 
C    AV2 - CHEBYSHEV COEFFICIENTS FOR 2 VELOCITY COMPONENT AT 1 INTERVAL 
C
C    AW1 - CHEBYSHEV COEFFICIENTS FOR 1 ACCELERATION COMPONENT AT 1 INTERVAL 
C    AW2 - CHEBYSHEV COEFFICIENTS FOR 2 ACCELERATION COMPONENT AT 1 INTERVAL 
C
C    BY1 - CHEBYSHEV COEFFICIENTS FOR 1 COORDINATE AT 2 INTERVAL 
C    BY2 - CHEBYSHEV COEFFICIENTS FOR 2 COORDINATE AT 2 INTERVAL 
C
C    BV1 - CHEBYSHEV COEFFICIENTS FOR 1 VELOCITY COMPONENT AT 2 INTERVAL 
C    BV2 - CHEBYSHEV COEFFICIENTS FOR 2 VELOCITY COMPONENT AT 2 INTERVAL 
C       
C    BW1 - CHEBYSHEV COEFFICIENTS FOR 1 ACCELERATION COMPONENT AT 2 INTERVAL 
C    BW2 - CHEBYSHEV COEFFICIENTS FOR 2 ACCELERATION COMPONENT AT 2 INTERVAL 
C
C     YA - COORDINATES AT THE END OF 1 INTERVAL
C     VA - VELOCITY    AT THE END OF 1 INTERVAL
C
C     YB - COORDINATES AT THE END OF 2 INTERVAL
C     VB - VELOCITY    AT THE END OF 2 INTERVAL
C
C    INA - BOUNDARIES OF 1 INTERVAL
C    INB - BOUNDARIES OF 2 INTERVAL
C
      GO TO (10,30),S
C
C--------SAVING CHEBYSHEV COEFFICIENTS FOR  COORDINATES,
C--------     VELOCITY COMPONENTS AND ACCELERATION COMPONENTS
C---------             AT THE FIRST INTERVAL  
C
   10 DO 15 I=1,KP3
      AY1(I)=AY(1,I)
   15 AY2(I)=AY(2,I)
C
      DO 20 I=1,KP2
      AV1(I)=ADY(1,I)
   20 AV2(I)=ADY(2,I)
C
      DO 25 I=1,KP1
      AW1(I)=AD2Y(1,I)
   25 AW2(I)=AD2Y(2,I)
C
C--------SAVING COORDINATES AND VELOCITY AT THE END OF 1 INTERVAL
      YA(1)=Y(1)
      YA(2)=Y(2)
      VA(1)=DY(1)
      VA(2)=DY(2)
C
C--------SAVING BOUNDARIES OF 1 INTERVAL
      INA(1)=XI
      INA(2)=XE
      RETURN
C
C--------SAVING CHEBYSHEV COEFFICIENTS FOR  COORDINATES,
C--------     VELOCITY COMPONENTS AND ACCELERATION COMPONENTS
C------------           AT THE SECOND INTERVAL  
C
   30 DO 35 I=1,KP3
      BY1(I)=AY(1,I)
   35 BY2(I)=AY(2,I)
C
      DO 40 I=1,KP2
      BV1(I)=ADY(1,I)
   40 BV2(I)=ADY(2,I)
C
      DO 45 I=1,KP1
      BW1(I)=AD2Y(1,I)
   45 BW2(I)=AD2Y(2,I)
C
C--------SAVING COORDINATES AND VELOCITY AT THE END OF 2 INTERVAL
      YB(1)=Y(1)
      YB(2)=Y(2) 
      VB(1)=DY(1)
      VB(2)=DY(2)
C
C--------SAVING BOUNDARIES OF 2 INTERVAL
      INB(1)=XI
      INB(2)=XE
      RETURN
      END
