      PARAMETER (K=11)
      DOUBLE PRECISION YN,Y,DYN,DY,RAB,YT(2),DYT(2),DELY(2),DELDY(2),
     1                 XN,H,XK,H0,Q,X1
      DIMENSION YN(2),DYN(2),Y(2),DY(2),RAB(2*K*K+10*K+7*2*K+12*2+5)
      DOUBLE PRECISION AY1(14),AY2(14),AV1(13),AV2(13),AW1(12),AW2(12),
     1                 BY1(14),BY2(14),BV1(13),BV2(13),BW1(12),BW2(12),
     2                 YA(2),YB(2),VA(2),VB(2),INA(2),INB(2)
      COMMON/FIRST /AY1,AY2,AV1,AV2,AW1,AW2,YA,VA,INA
     1      /SECOND/BY1,BY2,BV1,BV2,BW1,BW2,YB,VB,INB      
C
C    AY1 - CHEBYSHEV COEFFICIENTS FOR 1 COORDINATE AT 1 INTERVAL 
C    AY2 - CHEBYSHEV COEFFICIENTS FOR 2 COORDINATE AT 1 INTERVAL 
C
C    AV1 - CHEBYSHEV COEFFICIENTS FOR 1 VELOCITY COMPONENT AT 1 INTERVAL 
C    AV2 - CHEBYSHEV COEFFICIENTS FOR 2 VELOCITY COMPONENT AT 1 INTERVAL 
C
C    AW1 - CHEBYSHEV COEFFICIENTS FOR 1 ACCELERATION COMPONENT AT 1 INTERVAL 
C    AW2 - CHEBYSHEV COEFFICIENTS FOR 2 ACCELERATION COMPONENT AT 1 INTERVAL 
C
C    BY1 - CHEBYSHEV COEFFICIENTS FOR 1 COORDINATE AT 2 INTERVAL 
C    BY2 - CHEBYSHEV COEFFICIENTS FOR 2 COORDINATE AT 2 INTERVAL 
C
C    BV1 - CHEBYSHEV COEFFICIENTS FOR 1 VELOCITY COMPONENT AT 2 INTERVAL 
C    BV2 - CHEBYSHEV COEFFICIENTS FOR 2 VELOCITY COMPONENT AT 2 INTERVAL 
C       
C    BW1 - CHEBYSHEV COEFFICIENTS FOR 1 ACCELERATION COMPONENT AT 2 INTERVAL 
C    BW2 - CHEBYSHEV COEFFICIENTS FOR 2 ACCELERATION COMPONENT AT 2 INTERVAL 
C
C     YA - COORDINATES AT THE END OF 1 INTERVAL
C     VA - VELOCITY    AT THE END OF 1 INTERVAL
C     YB - COORDINATES AT THE END OF 2 INTERVAL
C     VB - VELOCITY    AT THE END OF 2 INTERVAL
C
C    INA - BOUNDARIES OF 1 INTERVAL
C    INB - BOUNDARIES OF 2 INTERVAL
C
      EXTERNAL F,F2TREA
      M=2
      Q=0.5D0
      XN=0.
      YN(1)= COS(Q)+3.D0
      YN(2)=-SIN(Q)+2.D0
      DYN(1)=2.D0*Q*SIN(Q)
      DYN(2)=2.D0*Q*COS(Q)
      XK=1.D0
      H0=0.5D0
      X1=2.D0*XK-1.D0 
      YT(1)=COS(Q*X1)+3.D0
      YT(2)=SIN(Q*X1)+2.D0
      DYT(1)=-2.D0*Q*SIN(Q*X1)
      DYT(2)= 2.D0*Q*COS(Q*X1)
      K0=K
      IMAX=13
      INIAPR=1
      H=H0
      CALL DE89D(F,F2TREA,M,XN,YN,DYN,XK,K0,INIAPR,IMAX,H,Y,DY,RAB)
      DELY(1)=YT(1)-Y(1)
      DELY(2)=YT(2)-Y(2)
      DELDY(1)=DYT(1)-DY(1)
      DELDY(2)=DYT(2)-DY(2)
      PRINT 35, H0,K,INIAPR,IMAX
      PRINT 60, Y, YT, DELY
      PRINT 65,DY,DYT,DELDY
      KP1=K+1
      KP2=K+2
      KP3=K+3
C
C------------------------------------------------------------------
C
      PRINT 48
      PRINT 110,INA
      PRINT  10,YA,VA
      PRINT 150
      PRINT 85,(J-1,AY1(J),  AV1(J),  AW1(J),J=1,KP1)
      PRINT 86, KP1,AY1(KP2),AV1(KP2), KP2,AY1(KP3)
C
      PRINT 160
      PRINT 85,(J-1, AY2(J),  AV2(J),  AW2(J),J=1,KP1)
      PRINT 86, KP1, AY2(KP2),AV2(KP2), KP2,AY2(KP3)
C
      PRINT 111,INB
      PRINT  11,YB,VB
      PRINT 150
      PRINT 85,(J-1,BY1(J),  BV1(J),  BW1(J),J=1,KP1)
      PRINT 86, KP1,BY1(KP2),BV1(KP2), KP2,BY1(KP3)
C
      PRINT 160
      PRINT 85,(J-1,BY2(J),  BV2(J),  BW2(J),J=1,KP1)
      PRINT 86, KP1,BY2(KP2),BV2(KP2), KP2,BY2(KP3)
      STOP
   10 FORMAT(1X,'COORDINATES AND VELOCITY AT THE END OF 1 SEGMENT:'
     1      /1X,'YA=',2D25.16/1X,'VA=',2D25.16/)
   11 FORMAT(1X,'COORDINATES AND VELOCITY AT THE END OF 2 SEGMENT:'
     1      /1X,'YB=',2D25.16/1X,'VB=',2D25.16/)
   85 FORMAT(5X,I2,5X,3D25.16)
   86 FORMAT(5X,I2,5X,2D25.16)
  110 FORMAT(/1X,'CHEBYSHEV COEFFICIENTS  AT 1 SEGMENT'/
     1        1X,'INA(1)=',D25.16,5X,'INA(2)=',D25.16/)
  111 FORMAT(/1X,'CHEBYSHEV COEFFICIENTS  AT 2 SEGMENT'/
     1        1X,'INB(1)=',D25.16,5X,'INB(2)=',D25.16/)
  150 FORMAT('   Number of',22X,'Coefficients'
     *       ' for 1 component'/  
     1        14X,68(1H-)/
     2       ' coefficient',9X,'coordinate',17X,'velocity'         
     3       ,17X,'acceleration'/ 
     4        1X,81(1H-)/)
  160 FORMAT(/'   Number of',22X,'Coefficients'
     *       ' for 2 component'/  
     1        14X,68(1H-)/
     2       ' coefficient',9X,'coordinate',17X,'velocity'
     3       ,17X,'acceleration'/    
     4        1X,81(1H-)/)
   47 FORMAT( 1X,64(1H-)/)
   48 FORMAT(/1X,64(1H*)/) 
   35 FORMAT(/1X,'H0=',D25.16,3X,'K=',I2,3X,'INIAPR=',I1,3X,'IMAX=',I2)
   60 FORMAT(1X,' Y =',2D25.16/1X,' YT=',2D25.16/1X,' DELY =',2D25.16)
   65 FORMAT(/1X,'DY =',2D25.16/1X,'DYT=',2D25.16/1X,'DELDY =',2D25.16)
      END



